Skip to main content
`Ctrl`+`K`

# reload_config

astropy.config.reload_config(packageormod=None, rootname=None)

  Reloads configuration settings from a configuration file for the root package of the requested package/module.

  This overwrites any changes that may have been made in `ConfigItem` objects. This applies for any items that are based on this file, which is determined by the root package of `packageormod` (e.g. `'astropy.cfg'` for the `'astropy.config.configuration'` module).

  Parameters:
    packageormod `python:str` or `python:None`

      The package or module name - see `get_config` for details.

    rootname `python:str` or `python:None`

      Name of the root configuration directory - see `get_config` for details.